package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsNeedCardStu;
import com.srs.dormitory.domain.Dto.SetNeedCardDto;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 打卡设置Service接口
 *
 * @author srs
 * @date 2025-07-08
 */
public interface IDmsNeedCardStuService extends IService<DmsNeedCardStu> {

    void autoSetDailyCheckTask();

    public AjaxResult sendTodayNeedCardMsg();

    public AjaxResult setNeedCardByClass(SetNeedCardDto param);

    public AjaxResult cardNeedCard(Long id) ;

    public AjaxResult cancelNeedCard(Long id);


    public List<DmsNeedCardStu> listView(DmsNeedCardStu params);


    /**
     * 查询打卡设置
     *
     * @param id 打卡设置主键
     * @return 打卡设置
     */
    public DmsNeedCardStu selectDmsNeedCardStuById(Long id);

    /**
     * 查询打卡设置列表
     *
     * @param dmsNeedCardStu 打卡设置
     * @return 打卡设置集合
     */
    List<DmsNeedCardStu> selectDmsNeedCardStuList(DmsNeedCardStu dmsNeedCardStu);

    /**
     * 新增打卡设置
     *
     * @param dmsNeedCardStu 打卡设置
     * @return 结果
     */
    int insertDmsNeedCardStu(DmsNeedCardStu dmsNeedCardStu);

    /**
     * 修改打卡设置
     *
     * @param dmsNeedCardStu 打卡设置
     * @return 结果
     */
    int updateDmsNeedCardStu(DmsNeedCardStu dmsNeedCardStu);

    /**
     * 批量删除打卡设置
     *
     * @param ids 需要删除的打卡设置主键集合
     * @return 结果
     */
    int deleteDmsNeedCardStuByIds(Long[] ids);

    /**
     * 删除打卡设置信息
     *
     * @param id 打卡设置主键
     * @return 结果
     */
    int deleteDmsNeedCardStuById(Long id);
}
